GnuKeyring (GNU cryptographic primitives and tools)
Keywords: gnu.crypto.jce.keyring.GnuKeyring,GnuKeyring class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.jce.keyring
Class GnuKeyring

    java.lang.Object
      |
      +--java.security.KeyStoreSpi
            |
            +--gnu.crypto.jce.keyring.GnuKeyring

public class GnuKeyring
extends java.security.KeyStoreSpi

Constructor Summary
`GnuKeyring()`

Method Summary
`java.util.Enumeration` | `engineAliases()`
`boolean` | `engineContainsAlias(java.lang.String alias)`
`void` | `engineDeleteEntry(java.lang.String alias)`
`java.security.cert.Certificate` | `engineGetCertificate(java.lang.String alias)`
`java.lang.String` | `engineGetCertificateAlias(java.security.cert.Certificate cert)`
`java.security.cert.Certificate[]` | `engineGetCertificateChain(java.lang.String alias)`
`java.util.Date` | `engineGetCreationDate(java.lang.String alias)`
`java.security.Key` | `engineGetKey(java.lang.String alias, char[] password)`
`boolean` | `engineIsCertificateEntry(java.lang.String alias)`
`boolean` | `engineIsKeyEntry(java.lang.String alias)`
`void` | `engineLoad(java.io.InputStream in, char[] password)`
`void` | `engineSetCertificateEntry(java.lang.String alias, java.security.cert.Certificate cert)`
`void` | `engineSetKeyEntry(java.lang.String alias, byte[] key, java.security.cert.Certificate[] chain)`
`void` | `engineSetKeyEntry(java.lang.String alias, java.security.Key key, char[] password, java.security.cert.Certificate[] chain)`
`int` | `engineSize()`
`void` | `engineStore(java.io.OutputStream out, char[] password)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GnuKeyring

    public GnuKeyring()

Method Detail

### engineAliases

    public java.util.Enumeration engineAliases()

  Specified by:
    `engineAliases` in class `java.security.KeyStoreSpi`

### engineContainsAlias

    public boolean engineContainsAlias(java.lang.String alias)

  Specified by:
    `engineContainsAlias` in class `java.security.KeyStoreSpi`

### engineDeleteEntry

    public void engineDeleteEntry(java.lang.String alias)

  Specified by:
    `engineDeleteEntry` in class `java.security.KeyStoreSpi`

### engineGetCertificate

    public java.security.cert.Certificate engineGetCertificate(java.lang.String alias)

  Specified by:
    `engineGetCertificate` in class `java.security.KeyStoreSpi`

### engineGetCertificateAlias

    public java.lang.String engineGetCertificateAlias(java.security.cert.Certificate cert)

  Specified by:
    `engineGetCertificateAlias` in class `java.security.KeyStoreSpi`

### engineSetCertificateEntry

    public void engineSetCertificateEntry(java.lang.String alias,
                                          java.security.cert.Certificate cert)

  Specified by:
    `engineSetCertificateEntry` in class `java.security.KeyStoreSpi`

### engineGetCertificateChain

    public java.security.cert.Certificate[] engineGetCertificateChain(java.lang.String alias)

  Specified by:
    `engineGetCertificateChain` in class `java.security.KeyStoreSpi`

### engineGetCreationDate

    public java.util.Date engineGetCreationDate(java.lang.String alias)

  Specified by:
    `engineGetCreationDate` in class `java.security.KeyStoreSpi`

### engineGetKey

    public java.security.Key engineGetKey(java.lang.String alias,
                                          char[] password)
                                   throws java.security.UnrecoverableKeyException

  Specified by:
    `engineGetKey` in class `java.security.KeyStoreSpi`
    `java.security.UnrecoverableKeyException`

### engineSetKeyEntry

    public void engineSetKeyEntry(java.lang.String alias,
                                  java.security.Key key,
                                  char[] password,
                                  java.security.cert.Certificate[] chain)
                           throws java.security.KeyStoreException

  Specified by:
    `engineSetKeyEntry` in class `java.security.KeyStoreSpi`
    `java.security.KeyStoreException`

### engineSetKeyEntry

    public void engineSetKeyEntry(java.lang.String alias,
                                  byte[] key,
                                  java.security.cert.Certificate[] chain)
                           throws java.security.KeyStoreException

  Specified by:
    `engineSetKeyEntry` in class `java.security.KeyStoreSpi`
    `java.security.KeyStoreException`

### engineIsCertificateEntry

    public boolean engineIsCertificateEntry(java.lang.String alias)

  Specified by:
    `engineIsCertificateEntry` in class `java.security.KeyStoreSpi`

### engineIsKeyEntry

    public boolean engineIsKeyEntry(java.lang.String alias)

  Specified by:
    `engineIsKeyEntry` in class `java.security.KeyStoreSpi`

### engineLoad

    public void engineLoad(java.io.InputStream in,
                           char[] password)
                    throws java.io.IOException

  Specified by:
    `engineLoad` in class `java.security.KeyStoreSpi`
    `java.io.IOException`

### engineStore

    public void engineStore(java.io.OutputStream out,
                            char[] password)
                     throws java.io.IOException

  Specified by:
    `engineStore` in class `java.security.KeyStoreSpi`
    `java.io.IOException`

### engineSize

    public int engineSize()

  Specified by:
    `engineSize` in class `java.security.KeyStoreSpi`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.